
#include <qglobal.h>
#include <kglobal.h>
#include <kstandarddirs.h>
#include <kglobalsettings.h>

#include "kpaboutdata.h"
#include "pluginsversion.h"
#include "kdebug.h"

namespace KIPIPlugins
{

  KPAboutData::KPAboutData(const char *pluginName,
                      const char *pluginVersion,
                      int licenseType,
                      const char *pluginDescription,
                      const char *copyrightStatement) : KAboutData ("kipi-plugins", pluginName,
                                                                  pluginVersion,
                                                                  0, licenseType,
                                                                  copyrightStatement,
                                                                  pluginDescription,
                                                                  "http://www.kipi-plugins.org")
  {
    QString directory;
    KGlobal::dirs()->addResourceType("kipi_plugins_logo", KGlobal::dirs()->kde_default("data") + "kipi/data");
    directory = KGlobal::dirs()->findResourceDir("kipi_plugins_logo", "kipi-plugins_logo.png");

    // set the kipiplugins logo inside the about dialog
    setProgramLogo(QImage(directory + "kipi-plugins_logo.png"));

    // set the plugin description into long text description
    setOtherText(pluginDescription);

    // put the plugin name and version with kipi-plugins and kipi-plugins version 
    KipiPluginsVersionString = QString(pluginName) + " " + QString(pluginVersion) + 
                              " - Kipi-plugins " + QString(kipiplugins_version) ;

    kdDebug( 51001 ) << "Kipi-plugins - " << KipiPluginsVersionString.ascii() << endl;

    // and set the string into the short description
    setShortDescription(KipiPluginsVersionString.ascii());
  }

}
